
local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

local sealevel = pmb_vars.overworld.sea_level
local alt_max = pmb_mirecaves.max
local alt_min = pmb_mirecaves.min

local sch = pmb_sch.get_schematic_path

local n = pmb_mirecaves.worknodes

-- sparse trees
-- minetest.register_decoration({
--   deco_type = "schematic",
--   place_on = {n.topsoil, n.topsoil2},
--   sidelen = 80,
--   fill_ratio = 0.4,
--   biomes = {},
--   y_max = alt_max,
--   y_min = alt_min,
--   schematic = sch("nolmer_1"),
--   flags = "all_floors, place_center_x, place_center_z",
--   rotation = "random",
-- })
